Update build configuration to regularly test 5.10 against JDK11

Description

Some integrations use this version and expect compatibility with JDK11, so... let's at least test it regularly. We know it works, but currently we don't have any CI tests about it.

We'll just disable Wildfly tests with JDK11, because 5.10 still targets WF12 which was definitely not ready for JDK11.

Environment

None

Status

Assignee

Yoann Rodière

Reporter

Yoann Rodière

Labels

None

Suitable for new contributors

None

Feedback Requested

None

Components

Fix versions

Priority

Minor
Configure